#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#define TASKNAME "comfort"
typedef long long int64;

const int MaxN = 100;

int f [MaxN + 1];
int g [MaxN + 1];
int n;

inline int max (int x, int y) {return (x > y ? x : y);}

int main (void)
{
 int i, j, x, y;
 freopen (TASKNAME ".in", "rt", stdin);
 freopen (TASKNAME ".out", "wt", stdout);
 f[0] = 0;
 for (i = 1; i <= MaxN; i++)
 {
  memset (g, 0, sizeof (g));
  for (j = 0; j < i; j++)
  {
   x = max (j - 1, 0);
   y = max (i - j - 2, 0);
   g[f[x] ^ f[y]]++;
  }
  for (j = 0; g[j]; j++) ;
  f[i] = j;
 }
 while (scanf (" %d", &n) != EOF)
 {
  assert (1 <= n && n <= MaxN);
  printf ("%s\n", f[n] ? "FIRST" : "SECOND");
 }
 return 0;
}
